import request from '@/utils/request'

export const getContextList = (params) => request({
  url: '/productArchive/content/list',
  method: 'GET',
  params
})

export const getLabelKey = (params) => request({
  url: process.env.VUE_APP_CORE_API + '/commodity/product/archive/findKeyWordList',
  method: 'GET',
  params
})

export const addContext = (data) => request({
  url: '/productArchive/content/add',
  method: 'POST',
  data
})

export const getContextDetail = (params) => request({
  url: '/productArchive/content/from',
  method: 'GET',
  params
})

export const uploadFile = (data) => request({
  url: '/formData/MultiPictareaddData',
  method: 'POST',
  headers: {
    'Content-Type': 'multipart/form-data'
  },
  data
})

export const uploadFileNew = (data) => request({
  url: 'https://core-b.caimei365.com/tools/file/upload/oss',
  method: 'POST',
  headers: {
    'Content-Type': 'multipart/form-data'
  },
  data
})

export const deleteContext = (data) => request({
  url: '/productArchive/content/del',
  method: 'POST',
  headers: {
    'Content-Type': 'multipart/form-data'
  },
  data
})

export const findKeyWordList = (params) => request({
  url: '/home/findKeyWordList',
  method: 'GET',
  params
})
