import request from '@/utils/request'

export const getAddress = (params) => request({
  url: 'https://zplma.caimei365.com' + '/address/select',
  method: 'get',
  params
})

export const getProviderList = (params) => request({
  url: '/providers/list',
  method: 'get',
  params
})

export const addProvider = (data) => request({
  url: '/providers/add',
  method: 'post',
  data
})

export const getProviderDetail = (params) => request({
  url: '/providers/from',
  method: 'get',
  params
})

export const updatedStatus = (data) => request({
  url: `/providers/updateStatus?serviceProviderId=${data.serviceProviderId}&status=${data.status}`,
  method: 'post',
  data
})

export const selectUploadImage = (data) => request({
  url: '/providers/download/image',
  method: 'post',
  data
})
/**
 * 服务商账号重置密码
 * @param {*} userId 服务商userId
 * @param {*} password 密码
 * @returns
 */
export const updatePassword = (params) => request({
  url: '/providers/update/pass',
  method: 'get',
  params
})
/**
 * 服务商机构列表
 * @param {*} spId 服务商Id
 * @param {*} clubId 机构ID
 * @param {*} name 机构名称
 * @param {*} linkMan 联系人
 * @param {*} bindMobile 手机号
 * @returns
 */
export const providersClubList = (params) => request({
  url: '/providers/clubList',
  method: 'get',
  params
})
