import request from '@/utils/request'
/**
 * 获取服务商任务列表
 * @returns
 */
export function getTaskList(params) {
  return request({
    url: '/providers/task/list',
    method: 'get',
    params
  })
}
/**
 * 获取任务分配详情服务商列表
 * @returns
 */
export function getTaskProvider(params) {
  return request({
    url: '/providers/taskProvider/list',
    method: 'get',
    params
  })
}
/**
 * 获取服务商列表
 * @returns
 */
export function getServiceList(params) {
  return request({
    url: '/providers/addGroups',
    method: 'get',
    params
  })
}
/**
 * 任务分配服务商过滤列表
 * @param {*} taskId 任务id
 * @returns
 */
export function getReceiveList(params) {
  return request({
    url: '/providers/receive/list',
    method: 'get',
    params
  })
}
/**
 * 任务分配服务商过滤列表
 * @param {*} taskId 任务id
 * @returns
 */
export function getTaskDetail(params) {
  return request({
    url: '/providers/task/detail',
    method: 'get',
    params
  })
}
/**
 * 添加任务
 * @param {*} title 任务标题
 * @param {*} topPic 任务封面
 * @param {*} archiveId 内容库Id
 * @param {*} shopId 供应商Id
 * @param {*} startTime 开始时间
 * @param {*} endTime 结束时间
 * @returns
 */
export const addTask = (data) => request({
  url: '/providers/add/task',
  method: 'post',
  data
})

/**
 * 任务下发服务商
 * @param {*} id 任务id
 * @param {*} serviceProviderIds 服务商Id
 * @returns
 */
export const assignTask = (params) => request({
  url: '/providers/assign/task',
  method: 'get',
  params
})

/**
 * 任务删除服务商
 * @param {*} taskId 任务id
 * @param {*} serviceProviderIds 服务商Id
 * @returns
 */
export const taskProviderDel = (params) => request({
  url: 'providers/taskProvider/del',
  method: 'get',
  params
})

/**
 * 任务下发服务商
 * @param {*} name 商品名称
 * @param {*} shopName 供应商名称
 * @param {*} productId 商品Id
 * @param {*} pageSize 条数
 * @param {*} pageNum 页码
 * @returns
 */
export const getTaskProducts = (params) => request({
  url: '/providers/task/products',
  method: 'get',
  params
})
/**
 * 审核服务商任务提交
 * @param {*} taskId 任务Id
 * @param {*} serviceProviderId 服务商Id
 * @param {*} auditStatus 通过 2 不通过 3
 * @returns
 */
export const getTaskaAudit = (params) => request({
  url: '/providers/task/audit',
  method: 'get',
  params
})
