import request from '@/utils/request'

/**
 * 机构列表
 * @param {*} clubId // 机构Id
 * @param {*} name   // 机构名称
 * @param {*} linkMan// 联系人
 * @param {*} contractMobile// 手机号
 * @param {*} status // 状态
 * @param {*} userIdentity // 机构级别
 * @param {*} startTime  // 注册开始时间
 * @param {*} endTime    // 注册结束时间
 * @param {*} newDeal    // 是否新分配机构
 * @param {*} spId     // 协销Id
 * @param {*} allocationStartTime // 分配开始时间
 * @param {*} allocationEndTime   // 分配结束时间
 * @param {*} trendsLabel    // 动态标签
 * @param {*} stateLabel    // 静态标签
 * @param {*} pageNum,
 * @param {*} pageSize
 * @returns
 */
export function getClubList(params) {
  return request({
    url: '/user/club/list',
    method: 'get',
    params
  })
}
/**
 * 静态动态标签筛选项
 * @param {*} dynamicStatus 0:动态标签 1:静态标签
 * @returns
 */
export function getClubLabel(params) {
  return request({
    url: '/user/club/label',
    method: 'get',
    params
  })
}
