/** When your routing table is too long, you can split it into small modules **/

import Layout from '@/layout'

const keywordLibraryRouter = {
  path: '/operate',
  component: Layout,
  redirect: '/operate/activity',
  alwaysShow: true, // will always show the root menu
  name: 'OperateActivity', // name必须和后台配置一致，不然匹配不到
  meta: { title: '运营专区' },
  children: [
    {
      path: 'zones',
      name: 'ZonesMenu',
      redirect: '/operate/zones',
      alwaysShow: true,
      component: () => import('@/views/index'),
      meta: { title: '首页配置', useDefault: true },
      children: [
        {
          path: 'zones-list',
          name: 'ZonesList',
          component: () => import('@/views/operate/home/zones-list'),
          meta: { title: '专区管理' }
        },
        {
          path: 'zones-goods',
          name: 'ZonesGoods',
          component: () => import('@/views/operate/home/zones-goods'),
          meta: { title: '专区商品管理' },
          hidden: true
        },
        {
          path: 'zones-image',
          name: 'ZonesImage',
          component: () => import('@/views/operate/home/zones-image'),
          meta: { title: '专区轮播图管理' },
          hidden: true
        },
        {
          path: 'zones-image-edit',
          name: 'ZonesImageEdit',
          component: () => import('@/views/operate/home/zones-image-edit'),
          meta: { title: '专区轮播图添加' },
          hidden: true
        },
        {
          path: 'recom-goods',
          name: 'RecomGoods',
          component: () => import('@/views/operate/home/recom-goods'),
          meta: { title: '商品推荐' }
        },
        {
          path: 'exclusive-image',
          name: 'ExclusiveImage',
          component: () => import('@/views/operate/home/exclusive-image'),
          meta: { title: '广告配置' }
        },
        {
          path: 'exclusive-img-edit',
          name: 'ExclusiveImgEdit',
          component: () => import('@/views/operate/home/exclusive-img-edit'),
          meta: { title: '专属广告添加/编辑' },
          hidden: true
        },
        {
          path: 'exclusive-small-edit',
          name: 'ExclusiveSmallEdit',
          component: () => import('@/views/operate/home/exclusive-small-edit'),
          meta: { title: '小广告添加/编辑' },
          hidden: true
        }
      ]
    },
    {
      path: 'activity',
      name: 'ActivityMenu',
      redirect: '/operate/activity/ziyalan-list',
      alwaysShow: true,
      component: () => import('@/views/index'),
      meta: { title: '活动专题', useDefault: true },
      children: [
        {
          path: 'ziyalan-list',
          name: 'ZiyalanList',
          component: () => import('@/views/operate/activity/ziyalan-list'),
          meta: { title: '紫亚兰活动专栏' }
        }
      ]
    }
  ]
}
export default keywordLibraryRouter
