import Layout from '@/layout'

export default {
  path: '/database',
  component: Layout,
  meta: { title: '内容库', icon: 'link' },
  name: 'Database',
  redirect: '/database/store-list',
  alwaysShow: true,
  children: [
    {
      path: 'store-list',
      name: 'StoreList',
      meta: { title: '商品列表', icon: 'link' },
      redirect: '/database/store-list/list',
      component: () => import('@/views/index'),
      children: [
        {
          path: 'list',
          name: 'List',
          component: () => import('@/views/dataBase/store-list/index.vue'),
          meta: { title: '商品列表', activeMenu: '/database/store-list' }
        },
        {
          path: 'edit',
          name: 'StoreEdit',
          component: () => import('@/views/dataBase/store-list/edit.vue'),
          meta: { title: '商品编辑', activeMenu: '/database/store-list' }
        },
        {
          path: 'data-manage',
          hidden: true,
          component: () => import('@/views/index'),
          name: 'DataManage',
          redirect: '/database/store-list/data-manage/list',
          meta: { title: '资料管理', noCache: true, activeMenu: '/database/store-list' },
          children: [
            {
              path: 'edit',
              hidden: true,
              component: () => import('@/views/dataBase/store-list/data-management/edit.vue'),
              name: 'DataManageEdit',
              meta: { title: '资料编辑', noCache: true, activeMenu: '/database/store-list' }
            },
            {
              path: 'list',
              hidden: true,
              component: () => import('@/views/dataBase/store-list/data-management/list.vue'),
              name: 'DataManageList',
              meta: { title: '资料列表', noCache: true, activeMenu: '/database/store-list' }
            }
          ]
        }
      ]
    }
  ]
}
