import Layout from '@/layout'

export default {
  path: '/service',
  component: Layout,
  meta: { title: '服务商管理', icon: 'link' },
  name: 'Service',
  redirect: '/service/settlement',
  alwaysShow: true,
  children: [
    {
      path: 'settlement',
      name: 'Settlement',
      meta: { title: '服务商列表', icon: 'component' },
      redirect: '/service/settlement/list',
      component: () => import('@/views/index'),
      children: [
        {
          path: 'list',
          hidden: true,
          component: () => import('@/views/serviceSettlement/list/index.vue'),
          name: 'SettlementList',
          meta: { title: '服务商列表', activeMenu: '/service/settlement' }
        },
        {
          path: 'edit',
          hidden: true,
          component: () => import('@/views/serviceSettlement/list/edit.vue'),
          name: 'SettlementEdit',
          meta: { title: '编辑服务商', noCache: true, activeMenu: '/service/settlement' }
        },
        {
          path: 'goods',
          hidden: true,
          component: () => import('@/views/index'),
          name: 'SettlementGoods',
          redirect: '/service/settlement/goods/list',
          meta: { title: '商品管理', noCache: true, activeMenu: '/service/settlement' },
          children: [
            {
              path: 'list',
              hidden: true,
              component: () => import('@/views/serviceSettlement/goods/index.vue'),
              name: 'SettlementGoodsList',
              meta: { title: '服务商商品列表', noCache: true, activeMenu: '/service/settlement' }
            }
          ]
        },
        {
          path: 'club',
          hidden: true,
          component: () => import('@/views/index'),
          name: 'SettlementClub',
          redirect: '/service/settlement/club',
          meta: { title: '服务商机构', noCache: true, activeMenu: '/service/settlement' },
          children: [
            {
              path: 'list',
              hidden: true,
              component: () => import('@/views/serviceSettlement/club/index.vue'),
              name: 'SettlementClubList',
              meta: { title: '服务商机构列表', noCache: true, activeMenu: '/service/settlement' }
            }
          ]
        },
        {
          path: 'contract',
          hidden: true,
          component: () => import('@/views/index'),
          name: 'Contract',
          redirect: '/service/settlement/contract/list',
          meta: { title: '合同管理', noCache: true, activeMenu: '/service/settlement' },
          children: [
            {
              path: 'edit',
              hidden: true,
              component: () => import('@/views/serviceSettlement/contract/edit.vue'),
              name: 'Edit',
              meta: { title: '合同编辑', noCache: true, activeMenu: '/service/settlement' }
            },
            {
              path: 'list',
              hidden: true,
              component: () => import('@/views/serviceSettlement/contract/index.vue'),
              name: 'ContractList',
              meta: { title: '合同列表', noCache: true, activeMenu: '/service/settlement' }
            }
          ]
        }
      ]
    },
    {
      path: 'group',
      name: 'Group',
      component: () => import('@/views/index'),
      redirect: '/service/group/list',
      meta: { title: '服务商团队', icon: 'component', activeMenu: '/service/group' },
      children: [
        {
          path: 'list',
          hidden: true,
          component: () => import('@/views/serviceSettlement/group/index.vue'),
          name: 'SettlementGroupList',
          meta: { title: '服务商团队', noCache: true, activeMenu: '/service/group' }
        },
        {
          path: 'group-team',
          hidden: true,
          component: () => import('@/views/serviceSettlement/group/group-team.vue'),
          name: 'SettlementGroupTeam',
          meta: { title: '团队成员', noCache: true, activeMenu: '/service/group' }
        }
      ]
    },
    {
      path: 'task',
      name: 'Task',
      component: () => import('@/views/index'),
      redirect: '/service/task/list',
      meta: { title: '服务商推广', icon: 'component', activeMenu: '/service/task' },
      children: [
        {
          path: 'list',
          hidden: true,
          component: () => import('@/views/serviceSettlement/task/index.vue'),
          name: 'SettlementTaskList',
          meta: { title: '服务商推广', noCache: true, activeMenu: '/service/task' }
        },
        {
          path: 'edit',
          hidden: true,
          component: () => import('@/views/serviceSettlement/task/edit.vue'),
          name: 'SettlementTaskEdit',
          meta: { title: '添加/编辑推广', noCache: true, activeMenu: '/service/task' }
        },
        {
          path: 'task-details',
          hidden: true,
          component: () => import('@/views/serviceSettlement/task/task-details.vue'),
          name: 'SettlementTaskDetails',
          meta: { title: '下发服务商', noCache: true, activeMenu: '/service/task' }
        }
      ]
    }
  ]
}
